//    tonalisa - software to look at overtone-structures
//    Copyright (C) 2016  Dominik Schmidt-Philipp
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
import QtQuick 2.3

Rectangle {
    id:root
    property alias text: label.text

    width: parent.width; height:20
    color: ListView.isCurrentItem?"#aaff00":"#ffffff"
    border.color: "slategrey"
    Text {
	id: label
	anchors.centerIn: parent
	text: "start"
    }
    MouseArea {
	anchors.fill: parent
	onClicked: {
	    scaleList.currentIndex=index
	}
    }
}
