TEMPLATE = app

OBJECTS_DIR = $$_PRO_FILE_PWD_/tmp/
MOC_DIR = $$_PRO_FILE_PWD_/tmp/

# Qt modules to and not use
QT += core widgets quick gui qml
#QT -= gui

# name of the executable
TARGET = tonalisa

# allow console output
CONFIG += console
CONFIG += c++11
macx {
    CONFIG -= app_bundle
}

# sources to be built
SOURCES += src/main.cpp \
	src/audiofile.cpp \
	src/peaks.cpp \
	src/dissonance.cpp \
        src/frequencyview.cpp \
        src/spiral.cpp \
        src/cartesian.cpp 
#	src/osc.cpp

HEADERS += src/audiofile.h \
	src/peaks.h \
	src/dissonance.h \
	src/frequencyview.h \
	src/spiral.h \
	src/cartesian.h 
#	src/osc.h

!exists(lib/sndlib/libsndlib.a){
  message( "building sndlib..." )
  #message($$_PRO_FILE_PWD_/lib/sndlib)
  system(cd $$_PRO_FILE_PWD_/lib/sndlib && ./configure  && make)
  
#  system(./configure --disable-shared)
#  system(make)
}

INCLUDEPATH += lib/sndlib
LIBS += -Llib/sndlib -lsndlib -lm -llo -ldl

# QMAKE_CXXFLAGS += -g

