//    tonalisa - software to look at overtone-structures
//    Copyright (C) 2016  Dominik Schmidt-Philipp
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
import QtQuick 2.3
import QtQuick.Dialogs 1.2
import QtQuick.Controls 1.2

Item {
    id:root

    Rectangle {
	id:background
	anchors.fill:parent
	color:"#333"
    }

    Column {
	width:160
	spacing:1

	Repeater {
	    model: [{
		"name":"pythagoräisches Komma",
		"spectrum":[32.70319566257483,0.9,49.05479349386224,0.9,73.58219024079337,0.9,110.3732853611901,0.9,165.5599280417851,0.9,248.3398920626776,0.9,372.5098380940165,0.9,558.7647571410247,0.9,838.147135711537,0.9,1257.220703567305,0.9,1885.831055350958,0.9,2828.746583026437,0.9,4243.119874539656,0.9,4243.119874539656,0.9,2121.559937269828,0.9,1060.779968634914,0.9,530.389984317457,0.9,265.1949921587285,0.9,132.5974960793642,0.9,66.29874803968212,0.9,33.14937401984106,0.9]
	    }]
	    SpectrumSelect { text:modelData.name }
	}
    }
}
