//    tonalisa - software to look at overtone-structures
//    Copyright (C) 2016  Dominik Schmidt-Philipp
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
import QtQuick 2.3

Rectangle {
    id:root

    property alias text: label.text
    property bool state: false


    width:116
    height:17
    color: "#fff"
    border.color:"#333"

    Text {
	id:label
	anchors.centerIn:parent
	text: "toggle"
    }
    MouseArea {
	anchors.fill: parent
	onClicked: {
	    switch(state)
	    {
		case true:
		state=false;
		root.color="#fff";
		break;
		case false:
	    	state=true;
		root.color="#ff0";
		break;
	    }
	}
    }
}
