//    tonalisa - software to look at overtone-structures
//    Copyright (C) 2016  Dominik Schmidt-Philipp
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
#ifndef PARTIAL_H
#define PARTIAL_H

typedef enum {AMP_DB_SCALE,AMP_LINEAR_SCALE} amp_scale_t

class Partial
{
 public:
  long freq();
  long amp(amp_scale_t scale=AMP_LINEAR_SCALE);

  void setFreq(const long &freq);
  void setAmp(const long &amp);
  
 private:
  long m_freq;
  long m_amp;
}

#endif // PARTIAL_H
